c------------------------------------------------------------------------------
c     USDFLD subroutine
c------------------------------------------------------------------------------

      subroutine usdfld(field,statev,pnewdt,direct,t,celent,
     1 time,dtime,cmname,orname,nfield,nstatv,noel,npt,layer,
     2 kspt,kstep,kinc,ndi,nshr,coord,jmac,jmatyp,matlayo,
     3 laccfla)
c
      include 'aba_param.inc'
c
      character*80 cmname,orname
      character*3  flgray(15)
      dimension field(nfield),statev(nstatv),direct(3,3),
     1 t(3,3),time(2)
      dimension array(15),jarray(15),jmac(*),jmatyp(*),
     1 coord(*)

c     --------------------------------------------------------------------------
c     USER CODE START

c     first inc. of first step ?
      if (kstep .eq. 1 .and. kinc .eq. 1) then

c       read y-coordinate
        y = coord(2)
c       calculate Young module
        E = 69600.d0 * (1.d0 + y / 2.5d0)
c       define depend state variable (E(y))
        field(1) = E
c       save E value for state dependend variable
        statev(1) = E

c     do it for all others inc. and steps
      else
c       assign initial values calculated in first inc.
        field(1) = statev(1)

      end if

c     USER CODE END
c     --------------------------------------------------------------------------

      return
      end
